std::ranges::adjacent_transform_view::sentinel(3)

NAME
std::ranges::adjacent_transform_view::sentinel - std::ranges::adjacent_transform_view::sentinel

Synopsis
   template< bool Const > (exposition only*)
   class /*sentinel*/;
   The return type of adjacent_transform_view::end when the underlying view is not a
   common_range.
   The type /*sentinel*/<true> is returned by the const-qualified overload. The type
   /*sentinel*/<false> is returned by the non-const-qualified overload.

Member functions
   constructor constructs a sentinel
                 (public member function)

Non-member functions
   operator== compares a sentinel with an iterator returned from
   (C++23) adjacent_transform_view::begin
              (function)
   operator- computes the distance between a sentinel and an iterator returned from
   (C++23) adjacent_transform_view::begin
              (function)

Example
    This section is incomplete
    Reason: no example

References
     * C++23 standard (ISO/IEC 14882:2023):
     * 26.7.27.4 Class template adjacent_transform_view::sentinel
       [range.adjacent_transform.sentinel]

See also

Category:
     * Todo no example